/*********************************************************}
{*                   Tracing.CPP 1.0                     *}
{*     Copyright 1997 (c) informatique MICRO-CONTROLE    *}
{*                 All rights reserved.                  *}
{*********************************************************/

//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "tracing.h"
#include "About.h"
//---------------------------------------------------------------------------
#pragma link "IMCWinTr"
#pragma resource "*.dfm"
TTrace *Trace;

//---------------------------------------------------------------------------
__fastcall TTrace::TTrace(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TTrace::start1Click(TObject *Sender)
{
   WinTracing1->StartTrace();
}
//---------------------------------------------------------------------------
void __fastcall TTrace::Restart1Click(TObject *Sender)
{
   WinTracing1->RestartTrace();
}
//---------------------------------------------------------------------------
void __fastcall TTrace::Stop1Click(TObject *Sender)
{
   WinTracing1->StopTrace();
}
//---------------------------------------------------------------------------
void __fastcall TTrace::Exit1Click(TObject *Sender)
{
   Close();
}
//---------------------------------------------------------------------------
void __fastcall TTrace::Line1Click(TObject *Sender)
{
   WinTracing1->Trace(1,"%s; count: %d",OPENARRAY(TVarRec,("Line Test Tracing",counter)));
   counter++;
}
//---------------------------------------------------------------------------
void __fastcall TTrace::Buffer1Click(TObject *Sender)
{
   char buf[256];
   unsigned char i;

   for (i = 0 ; i < 255 ; i++)
      buf[i] = i;
   WinTracing1->TraceBuffer(1,"Tracing buffer","buf",buf,0,255,127);
}
//---------------------------------------------------------------------------
void __fastcall TTrace::Commit1Click(TObject *Sender)
{
   WinTracing1->Trace(0,"%s",OPENARRAY(TVarRec,("Commit to file")));
   WinTracing1->CommitTrace();
}
//---------------------------------------------------------------------------
void __fastcall TTrace::Conter1Click(TObject *Sender)
{
  if (AutoCount)
      WinTracing1->Trace(1,"Stop counter: %d",OPENARRAY(TVarRec,(counter)));
  else
      WinTracing1->Trace(1,"Start counter: %d",OPENARRAY(TVarRec,(counter)));
   AutoCount = !AutoCount;
   Conter1->Checked = AutoCount;
   SpeedButton10->Down = AutoCount;
}
//---------------------------------------------------------------------------
void __fastcall TTrace::TestErrorClick(TObject *Sender)
{
   WinTracing1->Trace(0,"%s",OPENARRAY(TVarRec,("Error level trace.")));
}
//---------------------------------------------------------------------------
void __fastcall TTrace::TestLevel1Click(TObject *Sender)
{
   WinTracing1->Trace(1,'%s',OPENARRAY(TVarRec,("Level 1 trace.")));
}
//---------------------------------------------------------------------------
void __fastcall TTrace::TestLevel2Click(TObject *Sender)
{
   WinTracing1->Trace(2,'%s',OPENARRAY(TVarRec,("Level 2 trace.")));
}
//---------------------------------------------------------------------------
void __fastcall TTrace::Show1Click(TObject *Sender)
{
   WinTracing1->Show();
}
//---------------------------------------------------------------------------
void __fastcall TTrace::Hide1Click(TObject *Sender)
{
   WinTracing1->Hide();
}
//---------------------------------------------------------------------------
void __fastcall TTrace::FormClose(TObject *Sender, TCloseAction &Action)
{
   WinTracing1->StopTrace();
}
//---------------------------------------------------------------------------
void __fastcall TTrace::Timer1Timer(TObject *Sender)
{
   if (WinTracing1->Active == False) exit;

   if (AutoCount) {
      counter++;
      WinTracing1->Trace(1,"Counter: %d",OPENARRAY(TVarRec,(counter)));
      }
   Label5->Caption = IntToStr(WinTracing1->TraceLevel);
   Label6->Caption = WinTracing1->GetFileName();
   Label7->Caption = WinTracing1->GetTraceFileSize();
   Label8->Caption = WinTracing1->GetDiskSpace();
}
//---------------------------------------------------------------------------
void __fastcall TTrace::About1Click(TObject *Sender)
{
   TAboutBox *Ab = new TAboutBox(this);
   Ab->ShowModal();
   delete Ab;
}
//---------------------------------------------------------------------------
